Search documentation of ash

# Ash.DataLayer.Ets (ash v3.4.71)

View Source

An ETS (Erlang Term Storage) backed Ash Datalayer, for testing and lightweight usage.

Remember, this does not have support for transactions! This is not recommended for production use, especially in multi-user applications. It can, however, be great for prototyping.

# Summary

## Functions

do_add_calculations(records, resource, calculations, domain)
ets(body)
stop(resource, tenant \\ nil)

Stops the storage for a given resource/tenant (deleting all of the data)

# Functions

# do_add_calculations(records, resource, calculations, domain)

# ets(body)

(macro)

# stop(resource, tenant \\ nil)

Stops the storage for a given resource/tenant (deleting all of the data)